=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libqt5sql5-sqlite:native,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.5.0~),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons.git
