## kwidgetsaddons 5.109.0

=== debian/changelog ===
kwidgetsaddons (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:25 +0100

kwidgetsaddons (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:54 +0100

kwidgetsaddons (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:35 +0100

kwidgetsaddons (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:48:53 +0100

kwidgetsaddons (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:41 +0000

kwidgetsaddons (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:29 +0000

kwidgetsaddons (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:57 +0000

kwidgetsaddons (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:40 +0000

kwidgetsaddons (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:57 +0000

kwidgetsaddons (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:01:14 +0000
