=== debian/changelog ===
kwidgetsaddons (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:10:16 +0200

kwidgetsaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Fix FTCBFS: Build designer plugin, thx to Helmut Grohne (Closes:
    #1023893).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 10:32:36 +0100

kwidgetsaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * Add/update David Faure in upstream signing keys.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:30 +0200
