=== debian/control ===
Source: kwidgetsaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libqt5sql5-sqlite:native,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.5.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kwidgetsaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwidgetsaddons.git
Rules-Requires-Root: no

Package: libkf5widgetsaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the translations.

Package: libkf5widgetsaddons-dev
Section: libdevel
Architecture: any
Depends: libkf5widgetsaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5widgetsaddons-doc (= ${source:Version}),
Description: development files for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 Contains development files for kwidgetsaddons.

Package: libkf5widgetsaddons-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation for kwidgetsaddons
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5widgetsaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5widgetsaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: add-on widgets and classes for applications that use the Qt Widgets module
 Provided are action classes that can be added to toolbars or menus,
 a wide range of widgets for selecting characters, fonts, colors,
 actions, dates and times, or MIME types, as well as platform-aware
 dialogs for configuration pages, message boxes, and password requests.
